## lepton-eda 1.9.16

=== utils/netlist/examples/spice-noqsi/ASIC/Makefile ===
.PHONY : simulation

simulation : 
	make -C Simulation simulation

## lepton-eda 1.9.6

=== debian/changelog ===
lepton-eda (1.9.6-1) unstable; urgency=medium

  * new upstream version
  * fix DEP5 format compliance in debian/copyright
  * include full text of CC-BY-SA license in debian/copyright

 -- Bdale Garbee <bdale@gag.com>  Mon, 05 Nov 2018 11:15:35 -0700

lepton-eda (1.9.5-2) unstable; urgency=medium

  * include more attributions in debian/copyright
    
 -- Bdale Garbee <bdale@gag.com>  Thu, 01 Nov 2018 01:15:52 -0600

lepton-eda (1.9.5-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 20 Aug 2018 21:56:05 -0600

lepton-eda (1.9.4-3) unstable; urgency=medium

  * actually deliver tEDAx module (accepted upstream)
  * merge test units for tEDAx (accepted upstream)

 -- Bdale Garbee <bdale@gag.com>  Wed, 15 Aug 2018 13:03:37 -0600

lepton-eda (1.9.4-2) unstable; urgency=medium

  * force use of guile-2.0 in case 2.2 is also installed
  * add tEDAx output module for lepton-netlist (offered to upstream)

 -- Bdale Garbee <bdale@gag.com>  Tue, 14 Aug 2018 23:36:01 -0600

lepton-eda (1.9.4-1) unstable; urgency=medium

  * initial packaging from upstream git, closes: #905412

 -- Bdale Garbee <bdale@gag.com>  Sun, 12 Aug 2018 17:58:03 -0600

=== debian/control ===
Source: lepton-eda
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Standards-Version: 4.1.5
Build-Depends: debhelper (>= 11), guile-2.0-dev, libgtk2.0-dev, gettext, flex, gawk, libpython2.7-dev, groff, desktop-file-utils, libstroke0-dev, doxygen, inkscape, graphviz, texinfo, fig2dev, ghostscript
Homepage: https://github.com/lepton-eda
Vcs-Git: https://salsa.debian.org/electronics-team/lepton-eda.git
Vcs-Browser: https://salsa.debian.org/electronics-team/lepton-eda

Package: lepton-eda
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python2, guile-2.0
Suggests: gerbv, pcb-rnd | pcb
Description: Lepton Electronic Design Automation (metapackage)
 The Lepton EDA suite provides schematic capture, netlisting, bill of 
 materials generation, and many other features. It was forked from the 
 gEDA/gaf suite in late 2016.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf 

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-rpath \
		--disable-static \
		--disable-update-xdg-database \
		GUILE=/usr/bin/guile-2.0 \
		LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

override_dh_auto_install:
	dh_auto_install
	rm -f debian/lepton-eda/usr/lib/*/*.la

override_dh_compress:
	dh_compress -Xwiki -X.sch -Xexamples -X.sym

## lepton-eda 1.9.7

=== debian/changelog ===
lepton-eda (1.9.7-2) unstable; urgency=medium

  * guile-2.2 support cherry-picked from upstream

 -- Bdale Garbee <bdale@gag.com>  Wed, 30 Jan 2019 10:36:25 -0700

lepton-eda (1.9.7-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Tue, 11 Dec 2018 16:09:42 -0700

=== debian/control ===
Source: lepton-eda
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Standards-Version: 4.1.5
Build-Depends: debhelper (>= 11), guile-2.2-dev, libgtk2.0-dev, gettext, flex, gawk, libpython2.7-dev, groff, desktop-file-utils, libstroke0-dev, doxygen, inkscape, graphviz, texinfo, fig2dev, ghostscript
Homepage: https://github.com/lepton-eda
Vcs-Git: https://salsa.debian.org/electronics-team/lepton-eda.git
Vcs-Browser: https://salsa.debian.org/electronics-team/lepton-eda

Package: lepton-eda
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python2, guile-2.2
Suggests: gerbv, pcb-rnd | pcb
Description: Lepton Electronic Design Automation (metapackage)
 The Lepton EDA suite provides schematic capture, netlisting, bill of 
 materials generation, and many other features. It was forked from the 
 gEDA/gaf suite in late 2016.

## lepton-eda 1.9.9

=== debian/changelog ===
lepton-eda (1.9.9-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 03 Oct 2019 22:00:14 -0600

lepton-eda (1.9.8-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sat, 28 Sep 2019 12:40:09 -0600

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
 Standards-Version: 4.1.5
-Build-Depends: debhelper (>= 11), guile-2.2-dev, libgtk2.0-dev, gettext, flex, gawk, libpython2.7-dev, groff, desktop-file-utils, libstroke0-dev, doxygen, inkscape, graphviz, texinfo, fig2dev, ghostscript
+Build-Depends: debhelper (>= 11), guile-2.2-dev, libgtk2.0-dev, gettext, flex, gawk, libpython2.7-dev, groff, desktop-file-utils, libstroke0-dev, doxygen, inkscape, graphviz, texinfo, ghostscript
 Homepage: https://github.com/lepton-eda
 Vcs-Git: https://salsa.debian.org/electronics-team/lepton-eda.git
 Vcs-Browser: https://salsa.debian.org/electronics-team/lepton-eda

## lepton-eda 1.9.10

=== debian/changelog ===
lepton-eda (1.9.10-2) unstable; urgency=medium

  * 1.9.10 no longer depends on python, closes: #936839
  * patch from Ubuntu to init variables detected with -O3, closes: #935818

 -- Bdale Garbee <bdale@gag.com>  Thu, 19 Mar 2020 12:34:17 -0600

lepton-eda (1.9.10-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 19 Mar 2020 10:25:28 -0600

=== debian/control ===
Source: lepton-eda
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Standards-Version: 4.1.5
Build-Depends: debhelper (>= 11), guile-2.2-dev, libgtk2.0-dev, gettext, flex, gawk, groff, desktop-file-utils, libstroke0-dev, doxygen, inkscape, graphviz, texinfo, ghostscript
Homepage: https://github.com/lepton-eda
Vcs-Git: https://salsa.debian.org/electronics-team/lepton-eda.git
Vcs-Browser: https://salsa.debian.org/electronics-team/lepton-eda

Package: lepton-eda
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, guile-2.2
Suggests: gerbv, pcb-rnd | pcb
Description: Lepton Electronic Design Automation (metapackage)
 The Lepton EDA suite provides schematic capture, netlisting, bill of 
 materials generation, and many other features. It was forked from the 
 gEDA/gaf suite in late 2016.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 		--disable-rpath \
 		--disable-static \
 		--disable-update-xdg-database \
-		GUILE=/usr/bin/guile-2.0 \
+		GUILE=/usr/bin/guile-2.2 \
 		LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
 
 override_dh_auto_install:

## lepton-eda 1.9.11

=== debian/changelog ===
lepton-eda (1.9.11-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 04 Jun 2020 02:12:37 -0600

## lepton-eda 1.9.12

=== debian/changelog ===
lepton-eda (1.9.12-3) unstable; urgency=medium

  * patch from upstream switching to utf-8 encoding on netlist backend files

 -- Bdale Garbee <bdale@gag.com>  Mon, 07 Dec 2020 15:52:01 -0700

lepton-eda (1.9.12-2) unstable; urgency=medium

  * Makefile.am patch from upstream to deliver images to infodir

 -- Bdale Garbee <bdale@gag.com>  Sun, 06 Dec 2020 20:33:52 -0700

lepton-eda (1.9.12-1) unstable; urgency=medium

  * new upstream version
  * switch to guile-3.0 now that it is supported
  * move to latest debhelper version

 -- Bdale Garbee <bdale@gag.com>  Fri, 04 Dec 2020 08:40:45 -0700

## lepton-eda 1.9.13

=== debian/changelog ===
lepton-eda (1.9.13-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Thu, 10 Dec 2020 21:25:27 -0700

=== debian/control ===
Source: lepton-eda
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Standards-Version: 4.5.1
Build-Depends: debhelper (>= 13), 
	desktop-file-utils, 
	doxygen, 
	flex, 
	gawk, 
	gettext, 
	ghostscript,
	graphviz, 
	groff, 
	guile-3.0-dev, 
	inkscape, 
	libgtk2.0-dev, 
	libgtkextra-dev, 
	libstroke0-dev, 
	texinfo
Homepage: https://github.com/lepton-eda
Vcs-Git: https://salsa.debian.org/electronics-team/lepton-eda.git
Vcs-Browser: https://salsa.debian.org/electronics-team/lepton-eda

Package: lepton-eda
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, guile-3.0
Suggests: gerbv, pcb-rnd | pcb
Description: Lepton Electronic Design Automation (metapackage)
 The Lepton EDA suite provides schematic capture, netlisting, bill of 
 materials generation, and many other features. It was forked from the 
 gEDA/gaf suite in late 2016.

## lepton-eda 1.9.14

=== debian/changelog ===
lepton-eda (1.9.14-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Fri, 09 Apr 2021 21:54:52 -0600

lepton-eda (1.9.13-4) unstable; urgency=medium

  * patch from upstream to fix test suite issues with guile 3.0.5 and later,
    closes: #982726

 -- Bdale Garbee <bdale@gag.com>  Tue, 16 Feb 2021 13:34:37 -0700

lepton-eda (1.9.13-3) unstable; urgency=medium

  * upstream suggests simplification of the build deps

 -- Bdale Garbee <bdale@gag.com>  Thu, 31 Dec 2020 11:10:20 -0700

lepton-eda (1.9.13-2) unstable; urgency=medium

  * arrange for shared libs to be found when -dev packages not installed,
    closes: #977595

 -- Bdale Garbee <bdale@gag.com>  Thu, 17 Dec 2020 16:16:24 -0700

## lepton-eda 1.9.16

=== debian/changelog ===
lepton-eda (1.9.16-3) unstable; urgency=medium

  * fix shared lib issue in lepton-attrib

 -- Bdale Garbee <bdale@gag.com>  Tue, 16 Nov 2021 22:28:41 -0700

lepton-eda (1.9.16-2) unstable; urgency=medium

  * fix another -dev lib dependency in scheme to C interface, closes: #999699

 -- Bdale Garbee <bdale@gag.com>  Mon, 15 Nov 2021 10:51:29 -0700

lepton-eda (1.9.16-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Tue, 03 Aug 2021 22:47:51 -0600

lepton-eda (1.9.15-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sat, 26 Jun 2021 12:20:47 -0600

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,12 @@
 Standards-Version: 4.5.1
 Build-Depends: debhelper (>= 13), 
 	desktop-file-utils, 
-	doxygen, 
 	flex, 
 	gawk, 
 	gettext, 
 	ghostscript,
-	graphviz, 
 	groff, 
 	guile-3.0-dev, 
-	inkscape, 
 	libgtk2.0-dev, 
 	libgtkextra-dev, 
 	libstroke0-dev,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 		--disable-rpath \
 		--disable-static \
 		--disable-update-xdg-database \
-		GUILE=/usr/bin/guile-2.2 \
+		GUILE=/usr/bin/guile-3.0 \
 		LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
 
 override_dh_auto_install:

## lepton-eda 1.9.17

=== debian/changelog ===
lepton-eda (1.9.17-2) unstable; urgency=medium

  * actually turn on the support for using ldconfig to avoid needing -dev
    library packages installed.

 -- Bdale Garbee <bdale@gag.com>  Fri, 21 Jan 2022 15:30:42 -0700

lepton-eda (1.9.17-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sun, 19 Dec 2021 22:23:22 -0700

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 		--disable-static \
 		--disable-update-xdg-database \
 		GUILE=/usr/bin/guile-3.0 \
-		LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
+		LDFLAGS="$(LDFLAGS) -Wl,--as-needed" \
+		USE_LDCONFIG=/sbin/ldconfig
 
 override_dh_auto_install:
 	dh_auto_install

## lepton-eda 1.9.18

=== utils/netlist/examples/spice-noqsi/HelloWorld/Makefile ===
HelloWorld : HelloWorld.cir
	ngspice HelloWorld.cir

HelloWorld.cir : HelloWorld.sch
	lepton-netlist -g spice-noqsi HelloWorld.sch -o HelloWorld.cir

clean : 
	rm -f HelloWorld.cir *~ \#*

=== utils/netlist/examples/spice-noqsi/ASIC/Simulation/Makefile ===
NETLISTER=lepton-netlist -g spice-noqsi
SPICE=ngspice

IMPORTS=DISCRI.sch Comparator.sch
CIRCUITS=DISCRI.cir Comparator.cir DISCRItest.cir
MODELS=../Models/submicron.inc ../Models/openIP.inc

%.cir : %.sch
	$(NETLISTER) $< -o $@

.PHONY : simulation

simulation : $(CIRCUITS) control.cir
	$(SPICE) $(CIRCUITS) control.cir $(MODELS) 

DISCRI.sch : ../Schematic/DISCRI.sch
	cp $< $@

Comparator.sch : ../Schematic/Comparator.sch
	cp $< $@

clean : 
	rm -f $(IMPORTS) $(CIRCUITS) \#* *~

=== utils/netlist/examples/spice-noqsi/BBamp/Schematic/Makefile ===
all : Board.osmond Board.bom.tsv

Board.osmond : Board.sch BBamp.sch
	lepton-netlist -g osmond Board.sch -o Board.osmond

Board.bom.tsv : Board.sch BBamp.sch
	lepton-netlist -g bom Board.sch -o Board.bom.tsv

clean : 
	rm -f Board.osmond Board.bom.tsv \#* *~

=== utils/netlist/examples/spice-noqsi/BBamp/Simulation/Makefile ===
NETLISTER=lepton-netlist -g spice-noqsi
SPICE=ngspice

%.cir : %.sch
	$(NETLISTER) $< -o $@

.PHONY : simulation

simulation : Test.cir BBamp.cir
	$(SPICE) Test.cir transistors.lib

BBamp.sch : ../Schematic/BBamp.sch
	cp $< $@

clean : 
	rm -f Test.cir BBamp.cir BBamp.sch \#* *~

=== debian/changelog ===
lepton-eda (1.9.18-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:50:38 +1100

lepton-eda (1.9.18-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:17:53 +0000

lepton-eda (1.9.18-2) unstable; urgency=medium

  * remove the word 'metapackage' from short description, closes: #1059890
  * switch to GTK 3, closes: #967565

 -- Bdale Garbee <bdale@gag.com>  Wed, 10 Jan 2024 21:51:55 -0700

lepton-eda (1.9.18-1) unstable; urgency=medium

  * new upstream release

 -- Bdale Garbee <bdale@gag.com>  Sun, 29 May 2022 17:48:28 -0600

=== debian/control ===
Source: lepton-eda
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Standards-Version: 4.6.2
Build-Depends: debhelper (>= 13), 
	desktop-file-utils, 
	flex, 
	fonts-dejavu-core,
	gawk, 
	gettext, 
	ghostscript,
	groff, 
	guile-3.0-dev, 
	libgtksheet-4.0-dev,
	libstroke0-dev, 
	texinfo
Homepage: https://github.com/lepton-eda
Vcs-Git: https://salsa.debian.org/electronics-team/lepton-eda.git
Vcs-Browser: https://salsa.debian.org/electronics-team/lepton-eda

Package: lepton-eda
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, guile-3.0
Suggests: gerbv, pcb-rnd | pcb
Description: Lepton Electronic Design Automation
 The Lepton EDA suite provides schematic capture, netlisting, bill of 
 materials generation, and many other features. It was forked from the 
 gEDA/gaf suite in late 2016.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--with-gtk3 \
 		--disable-rpath \
 		--disable-static \
 		--disable-update-xdg-database \
